DROP FUNCTION FN_RETURN_DATE@
CREATE FUNCTION FN_RETURN_DATE 
(TS timestamp, format varchar(10))
returns varchar(30)
return
with tmptbl (dd,mm,yyyy,hh,mi,ss,nnnnnn) as
(
    select
    substr( digits (day(TS)),9),
    substr( digits (month(TS)),9) ,
    rtrim(char(year(TS))) ,
    substr( digits (hour(TS)),9),
    substr( digits (minute(TS)),9),
    substr( digits (second(TS)),9),
    rtrim(char(microsecond(TS)))
    from sysibm.sysdummy1
    )
select
case format
    when 'CEP'
        then dd || '/' || mm || '/' || yyyy || '-' || hh || ':' || mi || ':' || ss || ':' || nnnnnn
    when 'ISO'
        then yyyy || '-' || mm || '-' || dd || ' ' || hh || ':' || mi || ':' || ss || '.' || nnnnnn
    else
        'Error: Invalid format ' || coalesce(format,' <null>')
    end
from tmptbl
@
