--DROP VIEW VIS_INBOX_GET_RULE;
Create view VIS_INBOX_GET_RULE
AS
select 
     sc.conflict_id,
    ( case
         when degree_of_sep > 1
          then -1
         when sc.degree_of_sep = 0 and  exists (select 1 from er_entity_score es
                WHERE sc.degree_of_sep = 0 
                       and sc.sep_test_id = es.er_id
	               and sc.conf_entity1 = es.matched_entity_id
                       and es.like_score = 100)
          then (select min(es.mm_rule_id) from er_entity_score es
                WHERE sc.degree_of_sep = 0 
                       and sc.sep_test_id = es.er_id
	               and sc.conf_entity1 = es.matched_entity_id
                       and es.like_score = 100)
         when sc.degree_of_sep = 0 and  exists (select 1  from er_history h,  er_entity_score es
                WHERE sc.degree_of_sep = 0
                       and h.dsrc_acct_id = (select h2.dsrc_acct_id from er_history h2 where er_id = sc.sep_test_id)
                       and es.er_id = h.er_id
                       and es.matched_entity_id = sc.conf_entity1 
  		       and es.like_score = 100) 
        then (select min(mm_rule_id)  from er_history h, er_entity_score es
                WHERE sc.degree_of_sep = 0
                       and h.dsrc_acct_id = (select h2.dsrc_acct_id from er_history h2 where er_id = sc.sep_test_id)
                       and es.er_id = h.er_id
                       and es.matched_entity_id = sc.conf_entity1 
      		       and es.like_score = 100)
       when sc.degree_of_sep = 0 and exists (select 1 from er_relocation re, sep_conflict sc2, er_entity_score es 
                WHERE sc.degree_of_sep = 0 
                      and sc2.degree_of_sep = 0 
                      and re.dest_entity_id = sc.conf_entity1
                      and re.org_entity_id = sc2.conf_entity1
                      and sc2.sep_test_id = es.er_id
                      and es.matched_entity_id =sc2.conf_entity1) 
       then (select min(es.mm_rule_id)  from er_relocation re, sep_conflict sc2, er_entity_score es 
                WHERE sc.degree_of_sep = 0 
                      and sc2.degree_of_sep = 0 
                      and re.dest_entity_id = sc.conf_entity1
                      and re.org_entity_id = sc2.conf_entity1
                      and sc2.sep_test_id = es.er_id
                      and es.matched_entity_id =sc2.conf_entity1) 
        when sc.degree_of_sep = 1 and exists (select 1 from er_entity_score es, sep_conflict_rel cr 
                 where sc.degree_of_sep = 1 
                      and cr.conflict_id = sc.conflict_id
                      and cr.match_id = es.er_id
                      and cr.child_entity_id <> -1
                      and (es.matched_entity_id = sc.conf_entity1
                         or es.matched_entity_id = sc.conf_entity2)
                      and sc.weak_rel_score = es.rel_score 
                      and sc.weak_like_score = es.like_score) 
             then  (select min(mm_rule_id) from er_entity_score es, sep_conflict_rel cr
                   where sc.degree_of_sep = 1 and cr.conflict_id = sc.conflict_id
                        and cr.match_id = es.er_id
                        and cr.child_entity_id <> -1
                        and (es.matched_entity_id = sc.conf_entity1
                           or es.matched_entity_id = sc.conf_entity2)
                        and sc.weak_rel_score = es.rel_score 
                        and sc.weak_like_score = es.like_score)  
          when sc.degree_of_sep = 1 
                    and exists (select 1  from sep_relations r
                                           where sc.conf_entity1 = r.entity_id and sc.conf_entity2 = r.relto_id)
          then  (select min(es.mm_rule_id) from sep_relations r, er_entity_score es 
                where sc.degree_of_sep = 1
                     and sc.conf_entity1 = r.entity_id and sc.conf_entity2 = r.relto_id
                    and r.match_id = es.er_id
                    and (es.matched_entity_id = sc.conf_entity1 or es.matched_entity_id = sc.conf_entity2)
	            and sc.weak_rel_score = es.rel_score 
  	  	    and sc.weak_like_score = es.like_score)
          when sc.degree_of_sep = 1 
                    and exists (select 1  from sep_relations r
                                           where sc.conf_entity1 = r.entity_id and sc.conf_entity1 = r.relto_id)
          then  (select min(es.mm_rule_id) from sep_relations r, er_entity_score es
                where sc.degree_of_sep = 1
                    and sc.conf_entity2 = r.entity_id and sc.conf_entity1 = r.relto_id
                    and r.match_id = es.er_id
                    and (es.matched_entity_id = sc.conf_entity1 or es.matched_entity_id = sc.conf_entity2)
	           and sc.weak_rel_score = es.rel_score 
  		   and sc.weak_like_score = es.like_score)
           else
        -99 end)  as mm_rule_id
  from sep_conflict sc;
--DROP VIEW VIS_INBOX_ROLE_ALERT_RAW;
Create view VIS_INBOX_ROLE_ALERT_RAW 
AS
select sc.CONFLICT_ID,sc.SEP_TEST_ID,sc.INBOUND_ENTITY_ID,
        sc.CONFLICT_RULE_ID,sc.CONF_ENTITY1,sc.CONF_ENTITY2,
        sc.DEGREE_OF_SEP,sc.CONFLICT_DT,sc.CONFLICT_STAT,
        sc.CONFLICT_STAT_DT,sc.DISP_STAT,sc.DISP_COMMENTS,
        sc.DISP_USER_ID,sc.DISP_DT,sc.WEAK_LINK, sc.WEAK_REL_SCORE as WEAK_REL_SCORE,
        sc.WEAK_LIKE_SCORE,sc.PATH_STRENGTH,sc.ALERTED,
        sc.PRIMARY_CONFLICT_ID, 
       (select  mm_rule_id from vis_inbox_get_rule r where r.conflict_id = sc.conflict_id) as mm_rule_id,
       (case when exists (select 1 from app_send where source_id = sc.CONFLICT_ID and source_type = 'CONFLICT')
            then 
                  (select send_group from app_send where source_id = sc.CONFLICT_ID and source_type = 'CONFLICT')
            else
                   (select ag.app_group from app_conflict_group ag  where sc.conflict_rule_id =ag.app_conflict_rule_id)
            end) as app_group        
from sep_conflict sc 
where (weak_like_score > 0 or weak_rel_score > 0)  
    and sc.conflict_stat IN (select act_code from app_activity_codes where act_status_code = 'OPEN' and source_type = 'CONFLICT');
--DROP VIEW VIS_INBOX_ROLE_ALERT;
Create view VIS_INBOX_ROLE_ALERT
AS 
select sc.CONFLICT_ID,         
       sc.SEP_TEST_ID,
       sc.INBOUND_ENTITY_ID,
       sc.CONFLICT_RULE_ID,
       sc.CONF_ENTITY1,
       sc.CONF_ENTITY2,
       sc.DEGREE_OF_SEP,
       sc.CONFLICT_DT,
       sc.CONFLICT_STAT,
       sc.CONFLICT_STAT_DT,
       sc.DISP_STAT,
       sc.DISP_COMMENTS,
       sc.DISP_USER_ID,
       sc.DISP_DT,
       sc.WEAK_LINK,
       sc.weak_rel_score  as weak_rel_score,
       sc.WEAK_LIKE_SCORE,
       sc.PATH_STRENGTH,
       sc.ALERTED,
       sc.PRIMARY_CONFLICT_ID,
       sc.MM_RULE_ID,
      (select cr.conflict_rules_desc from conflict_rules cr where cr.conflict_rules_id = sc.conflict_rule_id ) as conflict_rules_desc,   
      (case           
           when sc.mm_rule_id > -1
           then (select mmr.mm_rule_desc from match_merge_rules mmr
                 where mmr.mm_rule_id = sc.mm_rule_id)
           when (sc.mm_rule_id is null and sc.degree_of_sep = 0)
            then      'Account reloaded'
	 else ('DSN' || ' - ' || CHAR(sc.degree_of_sep) ) 
           end )   as mm_rule_desc,
	sc.APP_GROUP,
        (select conflict_rules_sev  from conflict_rules cr where cr.conflict_rules_id = sc.conflict_rule_id) as conflict_rules_sev,
        (select min_alert_threshold from conflict_rules cr where cr.conflict_rules_id = sc.conflict_rule_id) as min_alert_threshold
      from VIS_INBOX_ROLE_ALERT_RAW sc
      where mm_rule_id > -99;
DROP VIEW VIS_RA_UNASGN_SUM;
Create view VIS_RA_UNASGN_SUM
as
SELECT
sc.conflict_rule_id, sc.mm_rule_id, sc.weak_rel_score, sc.weak_like_score,
sc.path_strength, sc.degree_of_sep, sc.alerted, sc.conflict_stat, sc.app_group, count(*) as cnt,
sc.conflict_rules_desc, 
sc.min_alert_threshold,
sc.mm_rule_desc
FROM vis_inbox_role_alert sc
WHERE sc.mm_rule_id > -2
group by
sc.conflict_rule_id, sc.mm_rule_id, sc.weak_rel_score, sc.weak_like_score,
sc.path_strength, sc.degree_of_sep, sc.alerted, sc.conflict_stat, sc.app_group,
sc.conflict_rules_desc, 
sc.min_alert_threshold,
sc.mm_rule_desc;
--DROP INDEX IX_ER_HIST_ACCT_ID;
CREATE INDEX IX_ER_HIST_ACCT_ID ON ER_HISTORY (
	DSRC_ACCT_ID, ER_ID
);
-- NOTE THESE ALTER STATEMENTS SHOULD BE COMMENTED OUT FOR SUBSEQUENT RUNS OF THIS FILE (THEY MUST ONLY RUN ONCE)
alter table dsrc_acct add column temp_src_create timestamp;
alter table dsrc_acct add column temp_src_lstupd timestamp;
update dsrc_acct set temp_src_create = TIMESTAMP(cast(src_create_dt as char(10)) ,'00:00 AM' ) where src_create_dt is not null;
update dsrc_acct set temp_src_lstupd = TIMESTAMP(cast(src_lstupd_dt as char(10)) ,'00:00 AM' ) where src_lstupd_dt is not null;
alter table dsrc_acct drop column src_create_dt;
alter table dsrc_acct drop column src_lstupd_dt;
alter table dsrc_acct add column src_create_dt timestamp;
alter table dsrc_acct add column src_lstupd_dt timestamp;
call sysproc.admin_cmd ('reorg table dsrc_acct' );
update dsrc_acct set src_create_dt = temp_src_create where temp_src_create IS NOT NULL;
update dsrc_acct set src_lstupd_dt = temp_src_lstupd where temp_src_lstupd IS NOT NULL;
alter table dsrc_acct drop column temp_src_create;
alter table dsrc_acct drop column temp_src_lstupd;
call sysproc.admin_cmd ('reorg table dsrc_acct' );
-- END ALTER STATEMENTS
create view VIS_DSRC_ACCT as (
select 
    d.*,
    (case 
        when d.SRC_CREATE_DT is null 
            then d.SYS_CREATE_DT 
        else 
            d.SRC_CREATE_DT
     end) AS display_dt
from 
    DSRC_ACCT d );