SET DEFINE OFF
SET SCAN OFF
CREATE PROCEDURE RESET_DQM_RULE_ID 
IS

SEQ_VAL NUMBER;

BEGIN

EXECUTE IMMEDIATE 'DROP SEQUENCE SEQ_DQM_RULE_ID';

SELECT MAX(RULE_ID + 100000001) INTO SEQ_VAL FROM DQM_RULE;

EXECUTE IMMEDIATE 'DELETE FROM DQM_RULE_PARAM WHERE RULE_ID IN (SELECT RULE_ID FROM DQM_RULE WHERE RULE_SET_ID != 0)';

EXECUTE IMMEDIATE 'DELETE FROM DQM_RULE WHERE RULE_SET_ID != 0';

EXECUTE IMMEDIATE 'UPDATE DQM_RULE SET RULE_ID = RULE_ID + 100000000';
EXECUTE IMMEDIATE 'UPDATE DQM_RULE_PARAM SET RULE_ID = RULE_ID + 100000000';

EXECUTE IMMEDIATE 'CREATE SEQUENCE SEQ_DQM_RULE_ID MINVALUE 1 MAXVALUE 1000000000000000000000000000 INCREMENT BY 1
START WITH ' || SEQ_VAL || ' NOCACHE NOORDER NOCYCLE';

END;
   

/
ALTER PROCEDURE "RESET_DQM_RULE_ID" COMPILE;
 call RESET_DQM_RULE_ID() ;
 DROP PROCEDURE RESET_DQM_RULE_ID ;
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10000, 'ROOT', 1, 'LOAD_GROUP', 110, 'Y', 'Y', null, null, 100000);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10005, 'ROOT', 5, 'LOAD_DATE', 110, 'Y', 'Y', null, null, 100000);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10010, 'ROOT', 10, 'LOAD_GROUP', 145, 'Y', 'Y', null, null, 100000);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10015, 'ROOT', 15, 'LOAD_KEY', 190, 'Y', 'Y', null, null, 100000);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10020, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100005);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10025, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100010);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10030, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100015);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10035, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100020);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10040, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100025);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10045, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100030);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10050, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100035);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10055, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100040);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10060, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100045);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10065, 'ROOT', 5, 'ENTITY_ID', 411, 'N', 'Y', null, null, 100045);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10067, 'ROOT', 10, 'ENTITY_ID', 110, 'Y', 'Y', null, null, 100045);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10070, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100050);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10075, 'ROOT', 5, 'ENTITY_ID', 411, 'N', 'Y', null, null, 100050);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10077, 'ROOT', 10, 'ENTITY_ID', 110, 'Y', 'Y', null, null, 100050);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10080, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100055);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10085, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100060);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10090, 'ROOT', 5, 'ENTITY_ID', 411, 'N', 'Y', null, null, 100060);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10092, 'ROOT', 10, 'ENTITY_ID', 110, 'Y', 'Y', null, null, 100060);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10095, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100065);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10100, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100070);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10105, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100075);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10110, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100080);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10115, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100085);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10120, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100090);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10125, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100095);
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10130, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100100);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10000, 1, 'SOA');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10000, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10000, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10005, 1, 'DATE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10005, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10005, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10010, 1, 'LOAD_KEY');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10010, 2, 'LOAD_GROUP');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10010, 3, 'LOAD_DATE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10015, 1, 'UMF_LOAD_GROUP');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10015, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10015, 3, 'LOAD_ID');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10015, 4, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10020, 1, 'SOA_ROLES_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10020, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10020, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10025, 1, 'SOA_ROLE_ALERT_RULES_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10025, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10025, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10030, 1, 'SOA_NUMBER_TYPES_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10030, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10030, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10035, 1, 'SOA_CHARACTERISTIC_TYPES_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10035, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10035, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10040, 1, 'SOA_NAME_TYPES_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10040, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10040, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10045, 1, 'SOA_ADDRESS_TYPES_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10045, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10045, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10050, 1, 'SOA_ALERT_DISPOSITIONS_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10050, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10050, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10055, 1, 'SOA_ROLE_ALERT_BY_ID_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10055, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10055, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10060, 1, 'SOA_ROLE_ALERTS_BY_ENTITY_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10060, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10060, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10067, 1, '0');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10067, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10067, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10070, 1, 'SOA_ENTITY_DETAIL_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10070, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10070, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10077, 1, '0');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10077, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10077, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10080, 1, 'SOA_IDENTITY_DETAIL_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10080, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10080, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10085, 1, 'SOA_IDENTITIES_FOR_ENTITY_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10085, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10085, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10092, 1, '0');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10092, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10092, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10095, 1, 'SOA_ADD_ALERT_COMMENT_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10095, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10095, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10100, 1, 'SOA_ASSIGN_ALERT_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10100, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10100, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10105, 1, 'SOA_CLOSE_ALERT_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10105, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10105, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10110, 1, 'SOA_UNASSIGN_ALERT_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10110, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10110, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10115, 1, 'SOA_REOPEN_ALERT_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10115, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10115, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10120, 1, 'SOA_DISPOSITION_ALERT_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10120, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10120, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10125, 1, 'SOA_ROLE_ALERTS_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10125, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10125, 3, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10130, 1, 'SOA_NEXT_IDENTITY_VALUE_RESPONSE');
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10130, 2, NULL);
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10130, 3, NULL);